<?php
if (!empty($this->groups)) {
    include_once 'search.phtml';  
}
include_once 'page.phtml';
if (!empty($this->products)) {    
    $cart = new Zend_Session_Namespace('Cart');
    $client = new Zend_Http_Client(); 
    $index = $this->page - 1;
    $i = 1;
    foreach ($this->products[$index] as $value) {
        ?>
        <div class="product-var1">
            <a href='/eshop/product/?product_id=<?= $value['product_id'] ?>'>
            <?= $value['title'] ?><br/>
            </a>
            <div class="product-imageholder border-style">
                <?php 
                $client->setUri(IMG_URL . 'images/eshop_products/m/' . $value['product_id'] . '.jpg');
                $response = $client->request(); 
                $headers = $response->getHeaders(); 
                if (isset($headers['Content-type']) && stristr($headers['Content-type'], 'image')) { ?>
                <a href='<?= IMG_URL ?>eshop/product/?product_id=<?= $value['product_id'] ?>'>
                    <img src="/images/eshop_products/m/<?= $value['product_id'] ?>.jpg" class="product-image">
                </a>
                <?php } else { ?>
                <a href='/eshop/product/?product_id=<?= $value['product_id'] ?>'>
                    <img src="<?= IMG_URL ?>images/eshop_products/m/default-1.jpg" class="product-image">
                </a>
                <?php } ?>
                <?= (isset($cart->$value['product_id'])) ? "<img src='/graphics/kosik.png' class='cart-image' />" : "" ?>
                <?= (isset($cart->$value['product_id'])) ? "<div class='cart-number glow'>".$cart->$value['product_id']."</div>" : "" ?>
            </div>
                ID: <?= $value['product_id'] ?><br/>
                Výrobce:<br/> <?= $value['producer'] ?><br/>
                <?= (!empty($value['size'])) ? "velikost: ".$value['size']."<br/>" : "" ?>
                Cena: <?= $value['price'] ?>,- kč<br/>
                <?= $value['text'] ?><br/>
            </a>
            <form method='post' action='/eshop/cart/add/'>
                <input type='hidden' name='product_id' value='<?= $value['product_id'] ?>'/>
                <input type='hidden' name='redirect' value='<?= $_SERVER['REQUEST_URI'] ?>'/>
                <input type='hidden' name='float' value='<?= $value['float'] ?>'/>
                <input type='text' name='quantity' value='1' style='width: 20px'/>
                <input class='bg-green border-style shadowout active' style='width: 100px' type='submit' value='Přidat'/>
            </form>
        </div>
        <?php
        if ($i == 3) {
            echo "<div class='clear'></div>";
            $i = 1;
        } else {
            $i++;
        }
    }
}